resources:
    App\Entity\Partition:
        processor: App\State\Processor\PartitionProcessor
        input: App\Dto\Input\PartitionPostInput
        output: App\Dto\Output\PartitionOutput
        order:
            partitionNumber: 'ASC'
        normalizationContext:
            groups: ['default', 'partition:read']
        denormalizationContext:
            groups: ['partition:write']
        operations:
            ApiPlatform\Metadata\GetCollection:
                provider: App\State\Provider\PartitionProvider
                filters:
                    - 'api_platform.filter.partition.order'
                    - 'api_platform.filter.partition.search'
            ApiPlatform\Metadata\Get:
                provider: App\State\Provider\PartitionProvider
            ApiPlatform\Metadata\Put:
                provider: App\State\Provider\PartitionProvider
            ApiPlatform\Metadata\Patch:
                provider: App\State\Provider\PartitionProvider
            ApiPlatform\Metadata\Post: ~
            ApiPlatform\Metadata\Delete: ~

properties:
    App\Entity\Partition:
        id:
            identifier: false
        uuid:
            identifier: true
